---
updatedAt: 2025-09-22T17:22:40.000Z
agentTools:
  projectIndex: https://developer.bitpay.com/llms.txt
---

# Cancel an Invoice by GUID

Facades: `merchant`

> 📘 Note
>
> Cancellation will require EITHER an SMS or E-mail to have already been set if the invoice has proceeded to the point where it may have been paid, unless using forceCancel parameter.

## Error Scenarios

* Cancellation requires SMS/email. Next step: resubmit the request after updating the invoice with verified SMS or Email
* Invoice is already complete. Next step, use the POST /refunds endpoint for this invoice

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "test",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://test.bitpay.com"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/invoices/guid/{guid}": {
      "delete": {
        "summary": "Cancel an Invoice by GUID",
        "description": "Facades: `merchant`",
        "operationId": "cancel-an-invoice-by-guid",
        "parameters": [
          {
            "name": "Content-Type",
            "in": "header",
            "description": "Must be set to `application/json` for requests to the BitPay API",
            "required": true,
            "schema": {
              "type": "string",
              "default": "application/json"
            }
          },
          {
            "name": "X-Accept-Version",
            "in": "header",
            "description": "Must be set to `2.0.0` for requests to the BitPay API",
            "required": true,
            "schema": {
              "type": "string",
              "default": "2.0.0"
            }
          },
          {
            "name": "X-Identity",
            "in": "header",
            "description": "The hexadecimal public key generated from the client private key. This header is optional for this endpoint when using the public facade, and required when using a `merchant` facade token.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "X-Signature",
            "in": "header",
            "description": "The ECDSA signature of the full request URL concatenated with the request body, signed with your private key. This header is optional for this endpoint when using the public facade, and required when using a `merchant` facade token.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "token",
            "in": "query",
            "description": "When fetching an invoice via the merchant or the pos facade, pass the API token as a URL parameter - the same token used to create the invoice in the first place.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "guid",
            "in": "path",
            "description": "The guid of the invoice for which you want to cancel.",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "forceCancel",
            "in": "query",
            "description": "Parameter that will cancel the invoice even if no contact information is present. Note: Canceling a paid invoice without contact information requires a manual support process and is not recommended.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"facade\": \"merchant/invoice\",\n  \"data\": {\n     \"url\": \"https://bitpay.com/invoice?id=G3viJEJgE8Jk2oekSdgT2A\",\n     \"posData\": \"\\\"{ \\\"ref\\\" : 711454, \\\"item\\\" : \\\"test_item\\\" }\\\"\",\n     \"status\": \"expired\",\n     \"price\": 20,\n     \"currency\": \"USD\",\n     \"orderId\": \"20210511_fghij\",\n     \"invoiceTime\": 1620733980748,\n     \"expirationTime\": 1620734880748,\n     \"currentTime\": 1620734253073,\n     \"guid\": \"payment#1234\",\n     \"id\": \"G3viJEJgE8Jk2oekSdgT2A\",\n     \"lowFeeDetected\": false,\n     \"amountPaid\": 739100,\n     \"displayAmountPaid\": \"0.007391\",\n     \"exceptionStatus\": false,\n     \"targetConfirmations\": 6,\n     \"transactions\": [\n     ],\n     \"transactionSpeed\": \"medium\",\n     \"buyer\": {\n        \"email\": \"john@doe.com\"\n     },\n     \"redirectURL\": \"https://merchantwebsite.com/shop/return\",\n     \"autoRedirect\": false,\n     \"closeURL\": \"https://merchantwebsite.com/shop/cancel\",\n     \"refundAddresses\": [],\n     \"refundAddressRequestPending\": false,\n     \"buyerProvidedEmail\": \"john@doe.com\",\n     \"buyerProvidedInfo\": {\n        \"emailAddress\": \"john@doe.com\",\n        \"sms\": \"+12223334444\",\n        \"smsVerified\": true,\n        \"selectedWallet\": \"bitpay\",\n        \"selectedTransactionCurrency\": \"BCH\",\n        \"emailAddress\": \"john@doe.com\"\n     },\n     \"paymentSubtotals\": {\n        \"BTC\": 18000,\n        \"BCH\": 739100,\n        \"ETH\": 2505000000000000,\n        \"GUSD\": 1000,\n        \"PAX\": 10000000000000000000,\n        \"BUSD\": 10000000000000000000,\n        \"USDC\": 10000000,\n        \"XRP\": 7015685,\n        \"DOGE\": 1998865000,\n        \"DAI\": 9990000000000000000,\n        \"WBTC\": 18000\n     },\n     \"paymentTotals\": {\n        \"BTC\": 29600,\n        \"BCH\": 739100,\n        \"ETH\": 2505000000000000,\n        \"GUSD\": 1000,\n        \"PAX\": 10000000000000000000,\n        \"BUSD\": 10000000000000000000,\n        \"USDC\": 10000000,\n        \"XRP\": 7015685,\n        \"DOGE\": 1998865000,\n        \"DAI\": 9990000000000000000,\n        \"WBTC\": 18000\n     },\n     \"paymentDisplayTotals\": {\n        \"BTC\": \"0.000296\",\n        \"BCH\": \"0.007391\",\n        \"ETH\": \"0.002505\",\n        \"GUSD\": \"10.00\",\n        \"PAX\": \"10.00\",\n        \"BUSD\": \"10.00\",\n        \"USDC\": \"10.00\",\n        \"XRP\": \"7.015685\",\n        \"DOGE\": \"19.988650\",\n        \"DAI\": \"9.99\",\n        \"WBTC\": \"0.000180\"\n     },\n     \"paymentDisplaySubTotals\": {\n        \"BTC\": \"0.000180\",\n        \"BCH\": \"0.007391\",\n        \"ETH\": \"0.002505\",\n        \"GUSD\": \"10.00\",\n        \"PAX\": \"10.00\",\n        \"BUSD\": \"10.00\",\n        \"USDC\": \"10.00\",\n        \"XRP\": \"7.015685\",\n        \"DOGE\": \"19.988650\",\n        \"DAI\": \"9.99\",\n        \"WBTC\": \"0.000180\"\n     },\n     \"exchangeRates\": {\n        \"BTC\": {\n          \"USD\": 55413.609335,\n          \"EUR\": 45540.39841,\n          \"BCH\": 40.84109737914668,\n          \"ETH\": 13.870219975470258,\n          \"GUSD\": 55413.609335,\n          \"PAX\": 55413.609335,\n          \"BUSD\": 55413.609335,\n          \"USDC\": 55413.609335,\n          \"XRP\": 38758.09372049268,\n          \"DOGE\": 110606.00665668662,\n          \"DAI\": 55359.96552840298,\n          \"WBTC\": 0.9981333606461704\n        },\n        \"BCH\": {\n          \"USD\": 1352.90925,\n          \"EUR\": 1111.2150000000001,\n          \"BTC\": 0.02440102556111244,\n          \"ETH\": 0.33863791096704754,\n          \"GUSD\": 1352.90925,\n          \"PAX\": 1352.90925,\n          \"BUSD\": 1352.90925,\n          \"USDC\": 1352.90925,\n          \"XRP\": 946.2690507998013,\n          \"DOGE\": 2700.4176646706587,\n          \"DAI\": 1351.599550036015,\n          \"WBTC\": 0.024369173431532262\n        },\n        \"ETH\": {\n          \"USD\": 3992.672665000001,\n          \"EUR\": 3278.9696950000002,\n          \"BTC\": 0.0720117094001833,\n          \"BCH\": 2.9426910658087726,\n          \"GUSD\": 3992.672665000001,\n          \"PAX\": 3992.672665000001,\n          \"BUSD\": 3992.672665000001,\n          \"USDC\": 3992.672665000001,\n          \"XRP\": 2792.6060619837313,\n          \"DOGE\": 7969.406516966069,\n          \"DAI\": 3988.807510522304,\n          \"WBTC\": 0.07191770817497412\n        },\n        \"GUSD\": {\n          \"USD\": 1,\n          \"EUR\": 0.821674,\n          \"BTC\": 0.000018035966241721267,\n          \"BCH\": 0.0007370228698196506,\n          \"ETH\": 0.0002503034929852446,\n          \"PAX\": 1,\n          \"BUSD\": 1,\n          \"USDC\": 1,\n          \"XRP\": 0.6994327600316144,\n          \"DOGE\": 1.9960079840319362,\n          \"DAI\": 0.9990319380520276,\n          \"WBTC\": 0.000018012422807762058\n        },\n        \"PAX\": {\n          \"USD\": 1,\n          \"EUR\": 0.821674,\n          \"BTC\": 0.000018035966241721267,\n          \"BCH\": 0.0007370228698196506,\n          \"ETH\": 0.0002503034929852446,\n          \"GUSD\": 1,\n          \"BUSD\": 1,\n          \"USDC\": 1,\n          \"XRP\": 0.6994327600316144,\n          \"DOGE\": 1.9960079840319362,\n          \"DAI\": 0.9990319380520276,\n          \"WBTC\": 0.000018012422807762058\n        },\n        \"BUSD\": {\n          \"USD\": 1,\n          \"EUR\": 0.821674,\n          \"BTC\": 0.000018035966241721267,\n          \"BCH\": 0.0007370228698196506,\n          \"ETH\": 0.0002503034929852446,\n          \"GUSD\": 1,\n          \"PAX\": 1,\n          \"USDC\": 1,\n          \"XRP\": 0.6994327600316144,\n          \"DOGE\": 1.9960079840319362,\n          \"DAI\": 0.9990319380520276,\n          \"WBTC\": 0.000018012422807762058\n        },\n        \"USDC\": {\n          \"USD\": 1,\n          \"EUR\": 0.821674,\n          \"BTC\": 0.000018035966241721267,\n          \"BCH\": 0.0007370228698196506,\n          \"ETH\": 0.0002503034929852446,\n          \"GUSD\": 1,\n          \"PAX\": 1,\n          \"BUSD\": 1,\n          \"XRP\": 0.6994327600316144,\n          \"DOGE\": 1.9960079840319362,\n          \"DAI\": 0.9990319380520276,\n          \"WBTC\": 0.000018012422807762058\n        },\n        \"XRP\": {\n          \"USD\": 1.4253776249999999,\n          \"EUR\": 1.17088545,\n          \"BTC\": 0.00002570806272620483,\n          \"BCH\": 0.0010505359077542177,\n          \"ETH\": 0.0003567769983605121,\n          \"GUSD\": 1.4253776249999999,\n          \"PAX\": 1.4253776249999999,\n          \"BUSD\": 1.4253776249999999,\n          \"USDC\": 1.4253776249999999,\n          \"DOGE\": 2.845065119760479,\n          \"DAI\": 1.423997771159746,\n          \"WBTC\": 0.00002567450444222371\n        },\n        \"DOGE\": {\n          \"USD\": 0.5002839,\n          \"EUR\": 0.4110702732486,\n          \"BTC\": 0.000009023103531676658,\n          \"BCH\": 0.0003687206757025671,\n          \"ETH\": 0.00012522280765428083,\n          \"GUSD\": 0.5002839,\n          \"PAX\": 0.5002839,\n          \"BUSD\": 0.5002839,\n          \"USDC\": 0.5002839,\n          \"XRP\": 0.3499149489763802,\n          \"DAI\": 0.49979959419322684,\n          \"WBTC\": 0.000009011325130716152\n        },\n        \"DAI\": {\n          \"USD\": 1.000968,\n          \"EUR\": 0.822469380432,\n          \"BTC\": 0.000018053425057043255,\n          \"BCH\": 0.0007377363079576361,\n          \"ETH\": 0.00025054578676645436,\n          \"GUSD\": 1.000968,\n          \"PAX\": 1.000968,\n          \"BUSD\": 1.000968,\n          \"USDC\": 1.000968,\n          \"XRP\": 0.7001098109433249,\n          \"DOGE\": 1.9979401197604791,\n          \"WBTC\": 0.000018029858833039973\n        },\n        \"WBTC\": {\n          \"USD\": 55466.58,\n          \"EUR\": 45575.44665492,\n          \"BTC\": 1.000393364423732,\n          \"BCH\": 40.88013797068123,\n          \"ETH\": 13.883478717945511,\n          \"GUSD\": 55466.58,\n          \"PAX\": 55466.58,\n          \"BUSD\": 55466.58,\n          \"USDC\": 55466.58,\n          \"XRP\": 38795.14313891434,\n          \"DOGE\": 110711.73652694612,\n          \"DAI\": 55412.88491451783\n        }\n     },\n     \"minerFees\": {\n        \"BTC\": {\n          \"satoshisPerByte\": 1,\n          \"totalFee\": 100,\n          \"fiatAmount\": 0.02\n        },\n        \"BCH\": {\n          \"satoshisPerByte\": 0,\n          \"totalFee\": 0,\n          \"fiatAmount\": 0\n        },\n        \"ETH\": {\n          \"satoshisPerByte\": 0,\n          \"totalFee\": 0,\n          \"fiatAmount\": 0\n        },\n        \"GUSD\": {\n          \"satoshisPerByte\": 0,\n          \"totalFee\": 0,\n          \"fiatAmount\": 0\n        },\n        \"PAX\": {\n          \"satoshisPerByte\": 0,\n          \"totalFee\": 0,\n          \"fiatAmount\": 0\n        },\n        \"BUSD\": {\n          \"satoshisPerByte\": 0,\n          \"totalFee\": 0,\n          \"fiatAmount\": 0\n        },\n        \"USDC\": {\n          \"satoshisPerByte\": 0,\n          \"totalFee\": 0,\n          \"fiatAmount\": 0\n        },\n        \"XRP\": {\n          \"satoshisPerByte\": 0,\n          \"totalFee\": 0,\n          \"fiatAmount\": 0\n        },\n        \"DOGE\": {\n          \"satoshisPerByte\": 0,\n          \"totalFee\": 0,\n          \"fiatAmount\": 0\n        },\n        \"DAI\": {\n          \"satoshisPerByte\": 0,\n          \"totalFee\": 0,\n          \"fiatAmount\": 0\n        },\n        \"WBTC\": {\n          \"satoshisPerByte\": 0,\n          \"totalFee\": 0,\n          \"fiatAmount\": 0\n        }\n     },\n     \"shopper\": {\n        \"user\": \"FeFc5a7hUwmrEnYwVPmrkp\"\n     },\n     \"jsonPayProRequired\": false,\n     \"merchantName\": \"Test Merchant\",\n     \"bitpayIdRequired\": true,\n     \"isCancelled\": true,\n     \"itemizedDetails\": [\n        {\n            \"amount\": 5,\n            \"description\": \"Item 1\",\n            \"isFee\": false\n        },\n        {\n            \"amount\": 15,\n            \"description\": \"Item 2\",\n            \"isFee\": false\n        }\n     ],\n     \"transactionCurrency\": \"BCH\",\n     \"supportedTransactionCurrencies\": {\n        \"BTC\": {\n          \"enabled\": true\n        },\n        \"BCH\": {\n          \"enabled\": true\n        },\n        \"ETH\": {\n          \"enabled\": true\n        },\n        \"GUSD\": {\n          \"enabled\": true\n        },\n        \"PAX\": {\n          \"enabled\": true\n        },\n        \"BUSD\": {\n          \"enabled\": true\n        },\n        \"USDC\": {\n          \"enabled\": true\n        },\n        \"XRP\": {\n          \"enabled\": true\n        },\n        \"DOGE\": {\n          \"enabled\": true\n        },\n        \"DAI\": {\n          \"enabled\": true\n        },\n        \"WBTC\": {\n          \"enabled\": true\n        }\n     },\n     \"paymentCodes\": {\n        \"BTC\": {\n          \"BIP72b\": \"bitcoin:?r=https://bitpay.com/i/G3viJEJgE8Jk2oekSdgT2A\",\n          \"BIP73\": \"https://bitpay.com/i/G3viJEJgE8Jk2oekSdgT2A\"\n        },\n        \"BCH\": {\n          \"BIP72b\": \"bitcoincash:?r=https://bitpay.com/i/G3viJEJgE8Jk2oekSdgT2A\",\n          \"BIP73\": \"https://bitpay.com/i/G3viJEJgE8Jk2oekSdgT2A\"\n        },\n        \"ETH\": {\n          \"EIP681\": \"ethereum:?r=https://bitpay.com/i/G3viJEJgE8Jk2oekSdgT2A\"\n        },\n        \"GUSD\": {\n          \"EIP681b\": \"ethereum:?r=https://bitpay.com/i/G3viJEJgE8Jk2oekSdgT2A\"\n        },\n        \"PAX\": {\n          \"EIP681b\": \"ethereum:?r=https://bitpay.com/i/G3viJEJgE8Jk2oekSdgT2A\"\n        },\n        \"BUSD\": {\n          \"EIP681b\": \"ethereum:?r=https://bitpay.com/i/G3viJEJgE8Jk2oekSdgT2A\"\n        },\n        \"USDC\": {\n          \"EIP681b\": \"ethereum:?r=https://bitpay.com/i/G3viJEJgE8Jk2oekSdgT2A\"\n        },\n        \"XRP\": {\n          \"BIP72b\": \"ripple:?r=https://bitpay.com/i/G3viJEJgE8Jk2oekSdgT2A\",\n          \"BIP73\": \"https://bitpay.com/i/G3viJEJgE8Jk2oekSdgT2A\",\n          \"RIP681\": \"https://bitpay.com/i/G3viJEJgE8Jk2oekSdgT2A\"\n        },\n        \"DOGE\": {\n          \"BIP72b\": \"dogecoin:?r=https://bitpay.com/i/G3viJEJgE8Jk2oekSdgT2A\",\n          \"BIP73\": \"https://bitpay.com/i/G3viJEJgE8Jk2oekSdgT2A\"\n        },\n        \"DAI\": {\n          \"EIP681b\": \"ethereum:?r=https://bitpay.com/i/G3viJEJgE8Jk2oekSdgT2A\"\n        },\n        \"WBTC\": {\n          \"EIP681b\": \"ethereum:?r=https://bitpay.com/i/G3viJEJgE8Jk2oekSdgT2A\"\n        }\n     },\n     \"universalCodes\": {\n        \"paymentString\": \"https://link.bitpay.com/i/G3viJEJgE8Jk2oekSdgT2A\",\n        \"verificationLink\": \"https://link.bitpay.com/i/G3viJEJgE8Jk2oekSdgT2A?t=hv\"\n     },\n     \"token\": \"Svbfdow1xXc6chtQB3GVKqyRVhyLMqn3nhMhyTtf9T9vTCDKrVfdoA7n94nZUECZf\"\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "facade": {
                      "type": "string",
                      "example": "merchant/invoice"
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "url": {
                          "type": "string",
                          "example": "https://bitpay.com/invoice?id=G3viJEJgE8Jk2oekSdgT2A"
                        },
                        "posData": {
                          "type": "string",
                          "example": "\"{ \"ref\" : 711454, \"item\" : \"test_item\" }\""
                        },
                        "status": {
                          "type": "string",
                          "example": "expired"
                        },
                        "price": {
                          "type": "integer",
                          "example": 20,
                          "default": 0
                        },
                        "currency": {
                          "type": "string",
                          "example": "USD"
                        },
                        "orderId": {
                          "type": "string",
                          "example": "20210511_fghij"
                        },
                        "invoiceTime": {
                          "type": "integer",
                          "example": 1620733980748,
                          "default": 0
                        },
                        "expirationTime": {
                          "type": "integer",
                          "example": 1620734880748,
                          "default": 0
                        },
                        "currentTime": {
                          "type": "integer",
                          "example": 1620734253073,
                          "default": 0
                        },
                        "guid": {
                          "type": "string",
                          "example": "payment#1234"
                        },
                        "id": {
                          "type": "string",
                          "example": "G3viJEJgE8Jk2oekSdgT2A"
                        },
                        "lowFeeDetected": {
                          "type": "boolean",
                          "example": false,
                          "default": true
                        },
                        "amountPaid": {
                          "type": "integer",
                          "example": 739100,
                          "default": 0
                        },
                        "displayAmountPaid": {
                          "type": "string",
                          "example": "0.007391"
                        },
                        "exceptionStatus": {
                          "type": "boolean",
                          "example": false,
                          "default": true
                        },
                        "targetConfirmations": {
                          "type": "integer",
                          "example": 6,
                          "default": 0
                        },
                        "transactions": {
                          "type": "array"
                        },
                        "transactionSpeed": {
                          "type": "string",
                          "example": "medium"
                        },
                        "buyer": {
                          "type": "object",
                          "properties": {
                            "email": {
                              "type": "string",
                              "example": "john@doe.com"
                            }
                          }
                        },
                        "redirectURL": {
                          "type": "string",
                          "example": "https://merchantwebsite.com/shop/return"
                        },
                        "autoRedirect": {
                          "type": "boolean",
                          "example": false,
                          "default": true
                        },
                        "closeURL": {
                          "type": "string",
                          "example": "https://merchantwebsite.com/shop/cancel"
                        },
                        "refundAddresses": {
                          "type": "array"
                        },
                        "refundAddressRequestPending": {
                          "type": "boolean",
                          "example": false,
                          "default": true
                        },
                        "buyerProvidedEmail": {
                          "type": "string",
                          "example": "john@doe.com"
                        },
                        "buyerProvidedInfo": {
                          "type": "object",
                          "properties": {
                            "emailAddress": {
                              "type": "string",
                              "example": "john@doe.com"
                            },
                            "sms": {
                              "type": "string",
                              "example": "+12223334444"
                            },
                            "smsVerified": {
                              "type": "boolean",
                              "example": true,
                              "default": true
                            },
                            "selectedWallet": {
                              "type": "string",
                              "example": "bitpay"
                            },
                            "selectedTransactionCurrency": {
                              "type": "string",
                              "example": "BCH"
                            }
                          }
                        },
                        "paymentSubtotals": {
                          "type": "object",
                          "properties": {
                            "BTC": {
                              "type": "integer",
                              "example": 18000,
                              "default": 0
                            },
                            "BCH": {
                              "type": "integer",
                              "example": 739100,
                              "default": 0
                            },
                            "ETH": {
                              "type": "integer",
                              "example": 2505000000000000,
                              "default": 0
                            },
                            "GUSD": {
                              "type": "integer",
                              "example": 1000,
                              "default": 0
                            },
                            "PAX": {
                              "type": "integer",
                              "example": 10000000000000000000,
                              "default": 0
                            },
                            "BUSD": {
                              "type": "integer",
                              "example": 10000000000000000000,
                              "default": 0
                            },
                            "USDC": {
                              "type": "integer",
                              "example": 10000000,
                              "default": 0
                            },
                            "XRP": {
                              "type": "integer",
                              "example": 7015685,
                              "default": 0
                            },
                            "DOGE": {
                              "type": "integer",
                              "example": 1998865000,
                              "default": 0
                            },
                            "DAI": {
                              "type": "integer",
                              "example": 9990000000000000000,
                              "default": 0
                            },
                            "WBTC": {
                              "type": "integer",
                              "example": 18000,
                              "default": 0
                            }
                          }
                        },
                        "paymentTotals": {
                          "type": "object",
                          "properties": {
                            "BTC": {
                              "type": "integer",
                              "example": 29600,
                              "default": 0
                            },
                            "BCH": {
                              "type": "integer",
                              "example": 739100,
                              "default": 0
                            },
                            "ETH": {
                              "type": "integer",
                              "example": 2505000000000000,
                              "default": 0
                            },
                            "GUSD": {
                              "type": "integer",
                              "example": 1000,
                              "default": 0
                            },
                            "PAX": {
                              "type": "integer",
                              "example": 10000000000000000000,
                              "default": 0
                            },
                            "BUSD": {
                              "type": "integer",
                              "example": 10000000000000000000,
                              "default": 0
                            },
                            "USDC": {
                              "type": "integer",
                              "example": 10000000,
                              "default": 0
                            },
                            "XRP": {
                              "type": "integer",
                              "example": 7015685,
                              "default": 0
                            },
                            "DOGE": {
                              "type": "integer",
                              "example": 1998865000,
                              "default": 0
                            },
                            "DAI": {
                              "type": "integer",
                              "example": 9990000000000000000,
                              "default": 0
                            },
                            "WBTC": {
                              "type": "integer",
                              "example": 18000,
                              "default": 0
                            }
                          }
                        },
                        "paymentDisplayTotals": {
                          "type": "object",
                          "properties": {
                            "BTC": {
                              "type": "string",
                              "example": "0.000296"
                            },
                            "BCH": {
                              "type": "string",
                              "example": "0.007391"
                            },
                            "ETH": {
                              "type": "string",
                              "example": "0.002505"
                            },
                            "GUSD": {
                              "type": "string",
                              "example": "10.00"
                            },
                            "PAX": {
                              "type": "string",
                              "example": "10.00"
                            },
                            "BUSD": {
                              "type": "string",
                              "example": "10.00"
                            },
                            "USDC": {
                              "type": "string",
                              "example": "10.00"
                            },
                            "XRP": {
                              "type": "string",
                              "example": "7.015685"
                            },
                            "DOGE": {
                              "type": "string",
                              "example": "19.988650"
                            },
                            "DAI": {
                              "type": "string",
                              "example": "9.99"
                            },
                            "WBTC": {
                              "type": "string",
                              "example": "0.000180"
                            }
                          }
                        },
                        "paymentDisplaySubTotals": {
                          "type": "object",
                          "properties": {
                            "BTC": {
                              "type": "string",
                              "example": "0.000180"
                            },
                            "BCH": {
                              "type": "string",
                              "example": "0.007391"
                            },
                            "ETH": {
                              "type": "string",
                              "example": "0.002505"
                            },
                            "GUSD": {
                              "type": "string",
                              "example": "10.00"
                            },
                            "PAX": {
                              "type": "string",
                              "example": "10.00"
                            },
                            "BUSD": {
                              "type": "string",
                              "example": "10.00"
                            },
                            "USDC": {
                              "type": "string",
                              "example": "10.00"
                            },
                            "XRP": {
                              "type": "string",
                              "example": "7.015685"
                            },
                            "DOGE": {
                              "type": "string",
                              "example": "19.988650"
                            },
                            "DAI": {
                              "type": "string",
                              "example": "9.99"
                            },
                            "WBTC": {
                              "type": "string",
                              "example": "0.000180"
                            }
                          }
                        },
                        "exchangeRates": {
                          "type": "object",
                          "properties": {
                            "BTC": {
                              "type": "object",
                              "properties": {
                                "USD": {
                                  "type": "number",
                                  "example": 55413.609335,
                                  "default": 0
                                },
                                "EUR": {
                                  "type": "number",
                                  "example": 45540.39841,
                                  "default": 0
                                },
                                "BCH": {
                                  "type": "number",
                                  "example": 40.84109737914668,
                                  "default": 0
                                },
                                "ETH": {
                                  "type": "number",
                                  "example": 13.870219975470258,
                                  "default": 0
                                },
                                "GUSD": {
                                  "type": "number",
                                  "example": 55413.609335,
                                  "default": 0
                                },
                                "PAX": {
                                  "type": "number",
                                  "example": 55413.609335,
                                  "default": 0
                                },
                                "BUSD": {
                                  "type": "number",
                                  "example": 55413.609335,
                                  "default": 0
                                },
                                "USDC": {
                                  "type": "number",
                                  "example": 55413.609335,
                                  "default": 0
                                },
                                "XRP": {
                                  "type": "number",
                                  "example": 38758.09372049268,
                                  "default": 0
                                },
                                "DOGE": {
                                  "type": "number",
                                  "example": 110606.00665668662,
                                  "default": 0
                                },
                                "DAI": {
                                  "type": "number",
                                  "example": 55359.96552840298,
                                  "default": 0
                                },
                                "WBTC": {
                                  "type": "number",
                                  "example": 0.9981333606461704,
                                  "default": 0
                                }
                              }
                            },
                            "BCH": {
                              "type": "object",
                              "properties": {
                                "USD": {
                                  "type": "number",
                                  "example": 1352.90925,
                                  "default": 0
                                },
                                "EUR": {
                                  "type": "number",
                                  "example": 1111.2150000000001,
                                  "default": 0
                                },
                                "BTC": {
                                  "type": "number",
                                  "example": 0.02440102556111244,
                                  "default": 0
                                },
                                "ETH": {
                                  "type": "number",
                                  "example": 0.33863791096704754,
                                  "default": 0
                                },
                                "GUSD": {
                                  "type": "number",
                                  "example": 1352.90925,
                                  "default": 0
                                },
                                "PAX": {
                                  "type": "number",
                                  "example": 1352.90925,
                                  "default": 0
                                },
                                "BUSD": {
                                  "type": "number",
                                  "example": 1352.90925,
                                  "default": 0
                                },
                                "USDC": {
                                  "type": "number",
                                  "example": 1352.90925,
                                  "default": 0
                                },
                                "XRP": {
                                  "type": "number",
                                  "example": 946.2690507998013,
                                  "default": 0
                                },
                                "DOGE": {
                                  "type": "number",
                                  "example": 2700.4176646706587,
                                  "default": 0
                                },
                                "DAI": {
                                  "type": "number",
                                  "example": 1351.599550036015,
                                  "default": 0
                                },
                                "WBTC": {
                                  "type": "number",
                                  "example": 0.024369173431532262,
                                  "default": 0
                                }
                              }
                            },
                            "ETH": {
                              "type": "object",
                              "properties": {
                                "USD": {
                                  "type": "number",
                                  "example": 3992.672665000001,
                                  "default": 0
                                },
                                "EUR": {
                                  "type": "number",
                                  "example": 3278.9696950000002,
                                  "default": 0
                                },
                                "BTC": {
                                  "type": "number",
                                  "example": 0.0720117094001833,
                                  "default": 0
                                },
                                "BCH": {
                                  "type": "number",
                                  "example": 2.9426910658087726,
                                  "default": 0
                                },
                                "GUSD": {
                                  "type": "number",
                                  "example": 3992.672665000001,
                                  "default": 0
                                },
                                "PAX": {
                                  "type": "number",
                                  "example": 3992.672665000001,
                                  "default": 0
                                },
                                "BUSD": {
                                  "type": "number",
                                  "example": 3992.672665000001,
                                  "default": 0
                                },
                                "USDC": {
                                  "type": "number",
                                  "example": 3992.672665000001,
                                  "default": 0
                                },
                                "XRP": {
                                  "type": "number",
                                  "example": 2792.6060619837313,
                                  "default": 0
                                },
                                "DOGE": {
                                  "type": "number",
                                  "example": 7969.406516966069,
                                  "default": 0
                                },
                                "DAI": {
                                  "type": "number",
                                  "example": 3988.807510522304,
                                  "default": 0
                                },
                                "WBTC": {
                                  "type": "number",
                                  "example": 0.07191770817497412,
                                  "default": 0
                                }
                              }
                            },
                            "GUSD": {
                              "type": "object",
                              "properties": {
                                "USD": {
                                  "type": "integer",
                                  "example": 1,
                                  "default": 0
                                },
                                "EUR": {
                                  "type": "number",
                                  "example": 0.821674,
                                  "default": 0
                                },
                                "BTC": {
                                  "type": "number",
                                  "example": 0.000018035966241721267,
                                  "default": 0
                                },
                                "BCH": {
                                  "type": "number",
                                  "example": 0.0007370228698196506,
                                  "default": 0
                                },
                                "ETH": {
                                  "type": "number",
                                  "example": 0.0002503034929852446,
                                  "default": 0
                                },
                                "PAX": {
                                  "type": "integer",
                                  "example": 1,
                                  "default": 0
                                },
                                "BUSD": {
                                  "type": "integer",
                                  "example": 1,
                                  "default": 0
                                },
                                "USDC": {
                                  "type": "integer",
                                  "example": 1,
                                  "default": 0
                                },
                                "XRP": {
                                  "type": "number",
                                  "example": 0.6994327600316144,
                                  "default": 0
                                },
                                "DOGE": {
                                  "type": "number",
                                  "example": 1.9960079840319362,
                                  "default": 0
                                },
                                "DAI": {
                                  "type": "number",
                                  "example": 0.9990319380520276,
                                  "default": 0
                                },
                                "WBTC": {
                                  "type": "number",
                                  "example": 0.000018012422807762058,
                                  "default": 0
                                }
                              }
                            },
                            "PAX": {
                              "type": "object",
                              "properties": {
                                "USD": {
                                  "type": "integer",
                                  "example": 1,
                                  "default": 0
                                },
                                "EUR": {
                                  "type": "number",
                                  "example": 0.821674,
                                  "default": 0
                                },
                                "BTC": {
                                  "type": "number",
                                  "example": 0.000018035966241721267,
                                  "default": 0
                                },
                                "BCH": {
                                  "type": "number",
                                  "example": 0.0007370228698196506,
                                  "default": 0
                                },
                                "ETH": {
                                  "type": "number",
                                  "example": 0.0002503034929852446,
                                  "default": 0
                                },
                                "GUSD": {
                                  "type": "integer",
                                  "example": 1,
                                  "default": 0
                                },
                                "BUSD": {
                                  "type": "integer",
                                  "example": 1,
                                  "default": 0
                                },
                                "USDC": {
                                  "type": "integer",
                                  "example": 1,
                                  "default": 0
                                },
                                "XRP": {
                                  "type": "number",
                                  "example": 0.6994327600316144,
                                  "default": 0
                                },
                                "DOGE": {
                                  "type": "number",
                                  "example": 1.9960079840319362,
                                  "default": 0
                                },
                                "DAI": {
                                  "type": "number",
                                  "example": 0.9990319380520276,
                                  "default": 0
                                },
                                "WBTC": {
                                  "type": "number",
                                  "example": 0.000018012422807762058,
                                  "default": 0
                                }
                              }
                            },
                            "BUSD": {
                              "type": "object",
                              "properties": {
                                "USD": {
                                  "type": "integer",
                                  "example": 1,
                                  "default": 0
                                },
                                "EUR": {
                                  "type": "number",
                                  "example": 0.821674,
                                  "default": 0
                                },
                                "BTC": {
                                  "type": "number",
                                  "example": 0.000018035966241721267,
                                  "default": 0
                                },
                                "BCH": {
                                  "type": "number",
                                  "example": 0.0007370228698196506,
                                  "default": 0
                                },
                                "ETH": {
                                  "type": "number",
                                  "example": 0.0002503034929852446,
                                  "default": 0
                                },
                                "GUSD": {
                                  "type": "integer",
                                  "example": 1,
                                  "default": 0
                                },
                                "PAX": {
                                  "type": "integer",
                                  "example": 1,
                                  "default": 0
                                },
                                "USDC": {
                                  "type": "integer",
                                  "example": 1,
                                  "default": 0
                                },
                                "XRP": {
                                  "type": "number",
                                  "example": 0.6994327600316144,
                                  "default": 0
                                },
                                "DOGE": {
                                  "type": "number",
                                  "example": 1.9960079840319362,
                                  "default": 0
                                },
                                "DAI": {
                                  "type": "number",
                                  "example": 0.9990319380520276,
                                  "default": 0
                                },
                                "WBTC": {
                                  "type": "number",
                                  "example": 0.000018012422807762058,
                                  "default": 0
                                }
                              }
                            },
                            "USDC": {
                              "type": "object",
                              "properties": {
                                "USD": {
                                  "type": "integer",
                                  "example": 1,
                                  "default": 0
                                },
                                "EUR": {
                                  "type": "number",
                                  "example": 0.821674,
                                  "default": 0
                                },
                                "BTC": {
                                  "type": "number",
                                  "example": 0.000018035966241721267,
                                  "default": 0
                                },
                                "BCH": {
                                  "type": "number",
                                  "example": 0.0007370228698196506,
                                  "default": 0
                                },
                                "ETH": {
                                  "type": "number",
                                  "example": 0.0002503034929852446,
                                  "default": 0
                                },
                                "GUSD": {
                                  "type": "integer",
                                  "example": 1,
                                  "default": 0
                                },
                                "PAX": {
                                  "type": "integer",
                                  "example": 1,
                                  "default": 0
                                },
                                "BUSD": {
                                  "type": "integer",
                                  "example": 1,
                                  "default": 0
                                },
                                "XRP": {
                                  "type": "number",
                                  "example": 0.6994327600316144,
                                  "default": 0
                                },
                                "DOGE": {
                                  "type": "number",
                                  "example": 1.9960079840319362,
                                  "default": 0
                                },
                                "DAI": {
                                  "type": "number",
                                  "example": 0.9990319380520276,
                                  "default": 0
                                },
                                "WBTC": {
                                  "type": "number",
                                  "example": 0.000018012422807762058,
                                  "default": 0
                                }
                              }
                            },
                            "XRP": {
                              "type": "object",
                              "properties": {
                                "USD": {
                                  "type": "number",
                                  "example": 1.4253776249999999,
                                  "default": 0
                                },
                                "EUR": {
                                  "type": "number",
                                  "example": 1.17088545,
                                  "default": 0
                                },
                                "BTC": {
                                  "type": "number",
                                  "example": 0.00002570806272620483,
                                  "default": 0
                                },
                                "BCH": {
                                  "type": "number",
                                  "example": 0.0010505359077542177,
                                  "default": 0
                                },
                                "ETH": {
                                  "type": "number",
                                  "example": 0.0003567769983605121,
                                  "default": 0
                                },
                                "GUSD": {
                                  "type": "number",
                                  "example": 1.4253776249999999,
                                  "default": 0
                                },
                                "PAX": {
                                  "type": "number",
                                  "example": 1.4253776249999999,
                                  "default": 0
                                },
                                "BUSD": {
                                  "type": "number",
                                  "example": 1.4253776249999999,
                                  "default": 0
                                },
                                "USDC": {
                                  "type": "number",
                                  "example": 1.4253776249999999,
                                  "default": 0
                                },
                                "DOGE": {
                                  "type": "number",
                                  "example": 2.845065119760479,
                                  "default": 0
                                },
                                "DAI": {
                                  "type": "number",
                                  "example": 1.423997771159746,
                                  "default": 0
                                },
                                "WBTC": {
                                  "type": "number",
                                  "example": 0.00002567450444222371,
                                  "default": 0
                                }
                              }
                            },
                            "DOGE": {
                              "type": "object",
                              "properties": {
                                "USD": {
                                  "type": "number",
                                  "example": 0.5002839,
                                  "default": 0
                                },
                                "EUR": {
                                  "type": "number",
                                  "example": 0.4110702732486,
                                  "default": 0
                                },
                                "BTC": {
                                  "type": "number",
                                  "example": 0.000009023103531676658,
                                  "default": 0
                                },
                                "BCH": {
                                  "type": "number",
                                  "example": 0.0003687206757025671,
                                  "default": 0
                                },
                                "ETH": {
                                  "type": "number",
                                  "example": 0.00012522280765428083,
                                  "default": 0
                                },
                                "GUSD": {
                                  "type": "number",
                                  "example": 0.5002839,
                                  "default": 0
                                },
                                "PAX": {
                                  "type": "number",
                                  "example": 0.5002839,
                                  "default": 0
                                },
                                "BUSD": {
                                  "type": "number",
                                  "example": 0.5002839,
                                  "default": 0
                                },
                                "USDC": {
                                  "type": "number",
                                  "example": 0.5002839,
                                  "default": 0
                                },
                                "XRP": {
                                  "type": "number",
                                  "example": 0.3499149489763802,
                                  "default": 0
                                },
                                "DAI": {
                                  "type": "number",
                                  "example": 0.49979959419322684,
                                  "default": 0
                                },
                                "WBTC": {
                                  "type": "number",
                                  "example": 0.000009011325130716152,
                                  "default": 0
                                }
                              }
                            },
                            "DAI": {
                              "type": "object",
                              "properties": {
                                "USD": {
                                  "type": "number",
                                  "example": 1.000968,
                                  "default": 0
                                },
                                "EUR": {
                                  "type": "number",
                                  "example": 0.822469380432,
                                  "default": 0
                                },
                                "BTC": {
                                  "type": "number",
                                  "example": 0.000018053425057043255,
                                  "default": 0
                                },
                                "BCH": {
                                  "type": "number",
                                  "example": 0.0007377363079576361,
                                  "default": 0
                                },
                                "ETH": {
                                  "type": "number",
                                  "example": 0.00025054578676645436,
                                  "default": 0
                                },
                                "GUSD": {
                                  "type": "number",
                                  "example": 1.000968,
                                  "default": 0
                                },
                                "PAX": {
                                  "type": "number",
                                  "example": 1.000968,
                                  "default": 0
                                },
                                "BUSD": {
                                  "type": "number",
                                  "example": 1.000968,
                                  "default": 0
                                },
                                "USDC": {
                                  "type": "number",
                                  "example": 1.000968,
                                  "default": 0
                                },
                                "XRP": {
                                  "type": "number",
                                  "example": 0.7001098109433249,
                                  "default": 0
                                },
                                "DOGE": {
                                  "type": "number",
                                  "example": 1.9979401197604791,
                                  "default": 0
                                },
                                "WBTC": {
                                  "type": "number",
                                  "example": 0.000018029858833039973,
                                  "default": 0
                                }
                              }
                            },
                            "WBTC": {
                              "type": "object",
                              "properties": {
                                "USD": {
                                  "type": "number",
                                  "example": 55466.58,
                                  "default": 0
                                },
                                "EUR": {
                                  "type": "number",
                                  "example": 45575.44665492,
                                  "default": 0
                                },
                                "BTC": {
                                  "type": "number",
                                  "example": 1.000393364423732,
                                  "default": 0
                                },
                                "BCH": {
                                  "type": "number",
                                  "example": 40.88013797068123,
                                  "default": 0
                                },
                                "ETH": {
                                  "type": "number",
                                  "example": 13.883478717945511,
                                  "default": 0
                                },
                                "GUSD": {
                                  "type": "number",
                                  "example": 55466.58,
                                  "default": 0
                                },
                                "PAX": {
                                  "type": "number",
                                  "example": 55466.58,
                                  "default": 0
                                },
                                "BUSD": {
                                  "type": "number",
                                  "example": 55466.58,
                                  "default": 0
                                },
                                "USDC": {
                                  "type": "number",
                                  "example": 55466.58,
                                  "default": 0
                                },
                                "XRP": {
                                  "type": "number",
                                  "example": 38795.14313891434,
                                  "default": 0
                                },
                                "DOGE": {
                                  "type": "number",
                                  "example": 110711.73652694612,
                                  "default": 0
                                },
                                "DAI": {
                                  "type": "number",
                                  "example": 55412.88491451783,
                                  "default": 0
                                }
                              }
                            }
                          }
                        },
                        "minerFees": {
                          "type": "object",
                          "properties": {
                            "BTC": {
                              "type": "object",
                              "properties": {
                                "satoshisPerByte": {
                                  "type": "integer",
                                  "example": 1,
                                  "default": 0
                                },
                                "totalFee": {
                                  "type": "integer",
                                  "example": 100,
                                  "default": 0
                                },
                                "fiatAmount": {
                                  "type": "number",
                                  "example": 0.02,
                                  "default": 0
                                }
                              }
                            },
                            "BCH": {
                              "type": "object",
                              "properties": {
                                "satoshisPerByte": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                },
                                "totalFee": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                },
                                "fiatAmount": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                }
                              }
                            },
                            "ETH": {
                              "type": "object",
                              "properties": {
                                "satoshisPerByte": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                },
                                "totalFee": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                },
                                "fiatAmount": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                }
                              }
                            },
                            "GUSD": {
                              "type": "object",
                              "properties": {
                                "satoshisPerByte": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                },
                                "totalFee": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                },
                                "fiatAmount": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                }
                              }
                            },
                            "PAX": {
                              "type": "object",
                              "properties": {
                                "satoshisPerByte": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                },
                                "totalFee": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                },
                                "fiatAmount": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                }
                              }
                            },
                            "BUSD": {
                              "type": "object",
                              "properties": {
                                "satoshisPerByte": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                },
                                "totalFee": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                },
                                "fiatAmount": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                }
                              }
                            },
                            "USDC": {
                              "type": "object",
                              "properties": {
                                "satoshisPerByte": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                },
                                "totalFee": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                },
                                "fiatAmount": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                }
                              }
                            },
                            "XRP": {
                              "type": "object",
                              "properties": {
                                "satoshisPerByte": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                },
                                "totalFee": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                },
                                "fiatAmount": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                }
                              }
                            },
                            "DOGE": {
                              "type": "object",
                              "properties": {
                                "satoshisPerByte": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                },
                                "totalFee": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                },
                                "fiatAmount": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                }
                              }
                            },
                            "DAI": {
                              "type": "object",
                              "properties": {
                                "satoshisPerByte": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                },
                                "totalFee": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                },
                                "fiatAmount": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                }
                              }
                            },
                            "WBTC": {
                              "type": "object",
                              "properties": {
                                "satoshisPerByte": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                },
                                "totalFee": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                },
                                "fiatAmount": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                }
                              }
                            }
                          }
                        },
                        "shopper": {
                          "type": "object",
                          "properties": {
                            "user": {
                              "type": "string",
                              "example": "FeFc5a7hUwmrEnYwVPmrkp"
                            }
                          }
                        },
                        "jsonPayProRequired": {
                          "type": "boolean",
                          "example": false,
                          "default": true
                        },
                        "merchantName": {
                          "type": "string",
                          "example": "Test Merchant"
                        },
                        "bitpayIdRequired": {
                          "type": "boolean",
                          "example": true,
                          "default": true
                        },
                        "isCancelled": {
                          "type": "boolean",
                          "example": true,
                          "default": true
                        },
                        "itemizedDetails": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "amount": {
                                "type": "integer",
                                "example": 5,
                                "default": 0
                              },
                              "description": {
                                "type": "string",
                                "example": "Item 1"
                              },
                              "isFee": {
                                "type": "boolean",
                                "example": false,
                                "default": true
                              }
                            }
                          }
                        },
                        "transactionCurrency": {
                          "type": "string",
                          "example": "BCH"
                        },
                        "supportedTransactionCurrencies": {
                          "type": "object",
                          "properties": {
                            "BTC": {
                              "type": "object",
                              "properties": {
                                "enabled": {
                                  "type": "boolean",
                                  "example": true,
                                  "default": true
                                }
                              }
                            },
                            "BCH": {
                              "type": "object",
                              "properties": {
                                "enabled": {
                                  "type": "boolean",
                                  "example": true,
                                  "default": true
                                }
                              }
                            },
                            "ETH": {
                              "type": "object",
                              "properties": {
                                "enabled": {
                                  "type": "boolean",
                                  "example": true,
                                  "default": true
                                }
                              }
                            },
                            "GUSD": {
                              "type": "object",
                              "properties": {
                                "enabled": {
                                  "type": "boolean",
                                  "example": true,
                                  "default": true
                                }
                              }
                            },
                            "PAX": {
                              "type": "object",
                              "properties": {
                                "enabled": {
                                  "type": "boolean",
                                  "example": true,
                                  "default": true
                                }
                              }
                            },
                            "BUSD": {
                              "type": "object",
                              "properties": {
                                "enabled": {
                                  "type": "boolean",
                                  "example": true,
                                  "default": true
                                }
                              }
                            },
                            "USDC": {
                              "type": "object",
                              "properties": {
                                "enabled": {
                                  "type": "boolean",
                                  "example": true,
                                  "default": true
                                }
                              }
                            },
                            "XRP": {
                              "type": "object",
                              "properties": {
                                "enabled": {
                                  "type": "boolean",
                                  "example": true,
                                  "default": true
                                }
                              }
                            },
                            "DOGE": {
                              "type": "object",
                              "properties": {
                                "enabled": {
                                  "type": "boolean",
                                  "example": true,
                                  "default": true
                                }
                              }
                            },
                            "DAI": {
                              "type": "object",
                              "properties": {
                                "enabled": {
                                  "type": "boolean",
                                  "example": true,
                                  "default": true
                                }
                              }
                            },
                            "WBTC": {
                              "type": "object",
                              "properties": {
                                "enabled": {
                                  "type": "boolean",
                                  "example": true,
                                  "default": true
                                }
                              }
                            }
                          }
                        },
                        "paymentCodes": {
                          "type": "object",
                          "properties": {
                            "BTC": {
                              "type": "object",
                              "properties": {
                                "BIP72b": {
                                  "type": "string",
                                  "example": "bitcoin:?r=https://bitpay.com/i/G3viJEJgE8Jk2oekSdgT2A"
                                },
                                "BIP73": {
                                  "type": "string",
                                  "example": "https://bitpay.com/i/G3viJEJgE8Jk2oekSdgT2A"
                                }
                              }
                            },
                            "BCH": {
                              "type": "object",
                              "properties": {
                                "BIP72b": {
                                  "type": "string",
                                  "example": "bitcoincash:?r=https://bitpay.com/i/G3viJEJgE8Jk2oekSdgT2A"
                                },
                                "BIP73": {
                                  "type": "string",
                                  "example": "https://bitpay.com/i/G3viJEJgE8Jk2oekSdgT2A"
                                }
                              }
                            },
                            "ETH": {
                              "type": "object",
                              "properties": {
                                "EIP681": {
                                  "type": "string",
                                  "example": "ethereum:?r=https://bitpay.com/i/G3viJEJgE8Jk2oekSdgT2A"
                                }
                              }
                            },
                            "GUSD": {
                              "type": "object",
                              "properties": {
                                "EIP681b": {
                                  "type": "string",
                                  "example": "ethereum:?r=https://bitpay.com/i/G3viJEJgE8Jk2oekSdgT2A"
                                }
                              }
                            },
                            "PAX": {
                              "type": "object",
                              "properties": {
                                "EIP681b": {
                                  "type": "string",
                                  "example": "ethereum:?r=https://bitpay.com/i/G3viJEJgE8Jk2oekSdgT2A"
                                }
                              }
                            },
                            "BUSD": {
                              "type": "object",
                              "properties": {
                                "EIP681b": {
                                  "type": "string",
                                  "example": "ethereum:?r=https://bitpay.com/i/G3viJEJgE8Jk2oekSdgT2A"
                                }
                              }
                            },
                            "USDC": {
                              "type": "object",
                              "properties": {
                                "EIP681b": {
                                  "type": "string",
                                  "example": "ethereum:?r=https://bitpay.com/i/G3viJEJgE8Jk2oekSdgT2A"
                                }
                              }
                            },
                            "XRP": {
                              "type": "object",
                              "properties": {
                                "BIP72b": {
                                  "type": "string",
                                  "example": "ripple:?r=https://bitpay.com/i/G3viJEJgE8Jk2oekSdgT2A"
                                },
                                "BIP73": {
                                  "type": "string",
                                  "example": "https://bitpay.com/i/G3viJEJgE8Jk2oekSdgT2A"
                                },
                                "RIP681": {
                                  "type": "string",
                                  "example": "https://bitpay.com/i/G3viJEJgE8Jk2oekSdgT2A"
                                }
                              }
                            },
                            "DOGE": {
                              "type": "object",
                              "properties": {
                                "BIP72b": {
                                  "type": "string",
                                  "example": "dogecoin:?r=https://bitpay.com/i/G3viJEJgE8Jk2oekSdgT2A"
                                },
                                "BIP73": {
                                  "type": "string",
                                  "example": "https://bitpay.com/i/G3viJEJgE8Jk2oekSdgT2A"
                                }
                              }
                            },
                            "DAI": {
                              "type": "object",
                              "properties": {
                                "EIP681b": {
                                  "type": "string",
                                  "example": "ethereum:?r=https://bitpay.com/i/G3viJEJgE8Jk2oekSdgT2A"
                                }
                              }
                            },
                            "WBTC": {
                              "type": "object",
                              "properties": {
                                "EIP681b": {
                                  "type": "string",
                                  "example": "ethereum:?r=https://bitpay.com/i/G3viJEJgE8Jk2oekSdgT2A"
                                }
                              }
                            }
                          }
                        },
                        "universalCodes": {
                          "type": "object",
                          "properties": {
                            "paymentString": {
                              "type": "string",
                              "example": "https://link.bitpay.com/i/G3viJEJgE8Jk2oekSdgT2A"
                            },
                            "verificationLink": {
                              "type": "string",
                              "example": "https://link.bitpay.com/i/G3viJEJgE8Jk2oekSdgT2A?t=hv"
                            }
                          }
                        },
                        "token": {
                          "type": "string",
                          "example": "Svbfdow1xXc6chtQB3GVKqyRVhyLMqn3nhMhyTtf9T9vTCDKrVfdoA7n94nZUECZf"
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "5XX": {
            "description": "5XX",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"status\": \"error\",\n    \"code\": \"040107\",\n    \"data\": null,\n    \"error\": \"Invalid invoice state for cancel\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "error"
                    },
                    "code": {
                      "type": "string",
                      "example": "040107"
                    },
                    "data": {},
                    "error": {
                      "type": "string",
                      "example": "Invalid invoice state for cancel"
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```